
#pragma once
#include "CommonType.h"
#include "CommonFunction.h"


class CCheckUPNoticeController
{
public:
	CCheckUPNoticeController(void);
	~CCheckUPNoticeController(void);
public:
	void Clear();
	void SetNoticeData(const CheckUpNoticeData &checkUpNotice);

	CString GetCheckReasonKR(){return m_strChekReason;}

	ChangeType GetChangeTypeCode(){return m_ChangeTypeCode;}

	CTime GetCheckStartYMDT(){return m_timeCheckStartYMDT;}
	CTime GetCheckEndYMDT(){return m_timeCheckEndYMDT;}

	void ChangeNoticeView();


private:
	int m_nChangeNoticeSeq;					//Ϸùȣ
	CString m_strChekReason;					//

	ChangeType m_ChangeTypeCode;					//Ÿڵ

	CTime m_timeCheckStartYMDT;		//˽۽ð
	CTime m_timeCheckEndYMDT;		// ð


	CString m_strCurrentLastModifyTime;
	CString m_strPrevLastModifyTime;// 

private:


	void SetChangeNoticeSeq(int nSeq){m_nChangeNoticeSeq  = nSeq;}
	void SetCheckReasonKR(CString strReason){m_strChekReason = strReason;}
	void SetChangeTypeCode(ChangeType typeCode);
	void SetCheckStartYMDT(long ltime);
	void SetCheckEndYMDT(long ltime);
	CString m_strChangeTypeTitle;

};
